From: "Andrew Savchenko" <bircoph@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/oprofile/
Date: Tue, 29 Sep 2015 19:49:19 +0000 (UTC) [thread overview]
Message-ID: <1443556123.29d5953cd9ef8e3a7ff83005cfa6656f8e8455e0.bircoph@gentoo> (raw)
commit: 29d5953cd9ef8e3a7ff83005cfa6656f8e8455e0
Author: Andrew Savchenko <bircoph <AT> gmail <DOT> com>
AuthorDate: Tue Sep 29 19:35:38 2015 +0000
Commit: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Tue Sep 29 19:48:43 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29d5953c
dev-util/oprofile: update dependencies
migrate from sys-devel/binutils to sys-libs/binutils-libs
Package-Manager: portage-2.2.22
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>
dev-util/oprofile/oprofile-0.9.9-r2.ebuild | 81 ++++++++++++++++++++++++++++++
dev-util/oprofile/oprofile-1.0.0-r2.ebuild | 72 ++++++++++++++++++++++++++
dev-util/oprofile/oprofile-1.1.0-r1.ebuild | 67 ++++++++++++++++++++++++
3 files changed, 220 insertions(+)
diff --git a/dev-util/oprofile/oprofile-0.9.9-r2.ebuild b/dev-util/oprofile/oprofile-0.9.9-r2.ebuild
new file mode 100644
index 0000000..bab174a
--- /dev/null
+++ b/dev-util/oprofile/oprofile-0.9.9-r2.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+inherit autotools eutils linux-info multilib user java-pkg-opt-2
+
+MY_P=${PN}-${PV/_/-}
+DESCRIPTION="A transparent low-overhead system-wide profiler"
+HOMEPAGE="http://${PN}.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="java pch qt4"
+
+DEPEND=">=dev-libs/popt-1.7-r1
+ sys-libs/binutils-libs
+ >=sys-libs/glibc-2.3.2-r1
+ qt4? ( dev-qt/qtgui:4[qt3support] )
+ java? ( >=virtual/jdk-1.5:= )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ linux-info_pkg_setup
+ if ! linux_config_exists || ! linux_chkconfig_present OPROFILE ; then
+ echo
+ elog "In order for ${PN} to work, you need to configure your kernel"
+ elog "with CONFIG_OPROFILE set to 'm' or 'y'."
+ echo
+ fi
+
+ if ! kernel_is -ge 2 6 ; then
+ echo
+ elog "Support for kernels before 2.6 has been dropped in ${PN}-0.9.8."
+ echo
+ fi
+
+ # Required for JIT support, see README_PACKAGERS
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+
+ use java && java-pkg_init
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-gcc-4.9-non-ppc.patch"
+ epatch "${FILESDIR}/${P}-gcc-4.9-unused.patch"
+ epatch "${FILESDIR}/${PN}-1.0.0-athlon.patch"
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-werror \
+ $(use_with qt4 x) \
+ $(use_enable qt4 gui qt4) \
+ $(use_enable pch) \
+ $(use_with java java ${JAVA_HOME})
+}
+
+src_install() {
+ emake DESTDIR="${D}" htmldir="/usr/share/doc/${PF}" install
+
+ dodoc ChangeLog* README TODO
+
+ dodir /etc/env.d
+ echo "LDPATH=${PREFIX}/usr/$(get_libdir)/${PN}" > "${D}"/etc/env.d/10${PN} || die "env.d failed"
+}
+
+pkg_postinst() {
+ echo
+ elog "Now load the ${PN} module by running:"
+ elog " # opcontrol --init"
+ elog "Then read manpages and this html doc:"
+ elog " /usr/share/doc/${PF}/${PN}.html"
+ echo
+}
diff --git a/dev-util/oprofile/oprofile-1.0.0-r2.ebuild b/dev-util/oprofile/oprofile-1.0.0-r2.ebuild
new file mode 100644
index 0000000..2fda6ad
--- /dev/null
+++ b/dev-util/oprofile/oprofile-1.0.0-r2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+inherit eutils java-pkg-opt-2 linux-info multilib user
+
+MY_P=${PN}-${PV/_/-}
+DESCRIPTION="A transparent low-overhead system-wide profiler"
+HOMEPAGE="http://${PN}.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="java pch"
+
+RDEPEND=">=dev-libs/popt-1.7-r1
+ sys-libs/binutils-libs
+ >=sys-libs/glibc-2.3.2-r1
+ java? ( >=virtual/jdk-1.5:= )"
+DEPEND="${RDEPEND}
+ >=sys-kernel/linux-headers-2.6.31"
+
+S="${WORKDIR}/${MY_P}"
+
+CONFIG_CHECK="PERF_EVENTS"
+ERROR_PERF_EVENTS="CONFIG_PERF_EVENTS is mandatory for ${PN} to work."
+
+pkg_setup() {
+ linux-info_pkg_setup
+ if ! kernel_is -ge 2 6 31; then
+ echo
+ ewarn "Support for kernels before 2.6.31 has been dropped in ${PN}-1.0.0."
+ echo
+ fi
+
+ # Required for JIT support, see README_PACKAGERS
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+
+ use java && java-pkg_init
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-athlon.patch"
+ epatch "${FILESDIR}/${P}-opjitconv-open.patch"
+}
+
+src_configure() {
+ econf \
+ --disable-werror \
+ $(use_enable pch) \
+ $(use_with java java ${JAVA_HOME})
+}
+
+src_install() {
+ emake DESTDIR="${D}" htmldir="/usr/share/doc/${PF}" install
+
+ dodoc ChangeLog* README TODO
+ echo "LDPATH=${PREFIX}/usr/$(get_libdir)/${PN}" > "${T}/10${PN}"
+ doenvd "${T}/10${PN}"
+}
+
+pkg_postinst() {
+ echo
+ elog "Starting from ${PN}-1.0.0 opcontrol was removed, use operf instead."
+ elog "CONFIG_OPROFILE is no longer used, you may remove it from your kernels."
+ elog "Please read manpages and this html doc:"
+ elog " /usr/share/doc/${PF}/${PN}.html"
+ echo
+}
diff --git a/dev-util/oprofile/oprofile-1.1.0-r1.ebuild b/dev-util/oprofile/oprofile-1.1.0-r1.ebuild
new file mode 100644
index 0000000..f4aae03
--- /dev/null
+++ b/dev-util/oprofile/oprofile-1.1.0-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+inherit java-pkg-opt-2 linux-info multilib user
+
+MY_P=${PN}-${PV/_/-}
+DESCRIPTION="A transparent low-overhead system-wide profiler"
+HOMEPAGE="http://${PN}.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="java pch"
+
+RDEPEND=">=dev-libs/popt-1.7-r1
+ sys-libs/binutils-libs
+ >=sys-libs/glibc-2.3.2-r1
+ java? ( >=virtual/jdk-1.5:= )"
+DEPEND="${RDEPEND}
+ >=sys-kernel/linux-headers-2.6.31"
+
+S="${WORKDIR}/${MY_P}"
+
+CONFIG_CHECK="PERF_EVENTS"
+ERROR_PERF_EVENTS="CONFIG_PERF_EVENTS is mandatory for ${PN} to work."
+
+pkg_setup() {
+ linux-info_pkg_setup
+ if ! kernel_is -ge 2 6 31; then
+ echo
+ ewarn "Support for kernels before 2.6.31 has been dropped in ${PN}-1.0.0."
+ echo
+ fi
+
+ # Required for JIT support, see README_PACKAGERS
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+
+ use java && java-pkg_init
+}
+
+src_configure() {
+ econf \
+ --disable-werror \
+ $(use_enable pch) \
+ $(use_with java java ${JAVA_HOME})
+}
+
+src_install() {
+ emake DESTDIR="${D}" htmldir="/usr/share/doc/${PF}" install
+
+ dodoc ChangeLog* README TODO
+ echo "LDPATH=${PREFIX}/usr/$(get_libdir)/${PN}" > "${T}/10${PN}"
+ doenvd "${T}/10${PN}"
+}
+
+pkg_postinst() {
+ echo
+ elog "Starting from ${PN}-1.0.0 opcontrol was removed, use operf instead."
+ elog "CONFIG_OPROFILE is no longer used, you may remove it from your kernels."
+ elog "Please read manpages and this html doc:"
+ elog " /usr/share/doc/${PF}/${PN}.html"
+ echo
+}
next reply other threads:[~2015-09-29 19:49 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-29 19:49 Andrew Savchenko [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-09-29 19:49 [gentoo-commits] repo/gentoo:master commit in: dev-util/oprofile/ Andrew Savchenko
2016-03-19 16:32 Agostino Sarubbo
2016-03-22 14:32 Agostino Sarubbo
2016-04-01 19:10 Markus Meier
2016-04-05 11:56 Jeroen Roovers
2016-04-19 19:33 Markus Meier
2016-05-25 5:30 Jeroen Roovers
2016-05-25 5:47 Jeroen Roovers
2016-05-25 5:59 Jeroen Roovers
2016-05-25 5:59 Jeroen Roovers
2016-06-02 18:58 Tobias Klausmann
2016-06-02 19:10 Tobias Klausmann
2016-11-22 17:10 Andrew Savchenko
2016-12-24 10:18 Agostino Sarubbo
2016-12-24 10:18 Agostino Sarubbo
2016-12-25 10:09 Agostino Sarubbo
2016-12-25 10:09 Agostino Sarubbo
2016-12-25 10:23 Agostino Sarubbo
2016-12-25 10:23 Agostino Sarubbo
2016-12-25 22:45 Andrew Savchenko
2017-07-30 11:55 Andrew Savchenko
2017-08-07 15:24 Andrew Savchenko
2017-08-23 6:42 Andrew Savchenko
2017-08-23 6:42 Andrew Savchenko
2017-09-14 22:01 Sven Wegener
2017-12-10 9:27 Ulrich Müller
2018-10-27 20:08 Andrew Savchenko
2018-10-28 21:29 Thomas Deutschmann
2018-10-30 13:21 Mikle Kolyada
2018-11-28 20:14 Tobias Klausmann
2018-12-08 12:14 Mikle Kolyada
2018-12-19 22:48 Sergei Trofimovich
2019-04-19 1:32 Aaron Bauman
2019-05-07 8:46 Tobias Klausmann
2019-05-13 0:38 Thomas Deutschmann
2019-05-26 7:31 Sergei Trofimovich
2019-06-13 19:17 Markus Meier
2019-07-14 13:46 Andrew Savchenko
2020-08-30 13:05 Andrew Savchenko
2020-12-02 23:21 Sam James
2021-05-02 13:29 Andrew Savchenko
2021-05-03 16:53 Sam James
2021-05-04 7:03 Agostino Sarubbo
2021-07-22 19:28 Conrad Kostecki
2021-07-22 19:28 Conrad Kostecki
2021-07-23 19:57 Conrad Kostecki
2022-11-24 3:25 Mike Gilbert
2024-12-10 6:47 Miroslav Šulc
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1443556123.29d5953cd9ef8e3a7ff83005cfa6656f8e8455e0.bircoph@gentoo \
--to=bircoph@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox